"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.lookupPackageJson = void 0;
const node_fs_1 = require("node:fs");
const node_path_1 = __importDefault(require("node:path"));
function lookupPackageJson(file) {
    const absolutePath = node_path_1.default.resolve(file);
    const { root } = node_path_1.default.parse(absolutePath);
    let dir = node_path_1.default.dirname(absolutePath);
    while (root !== dir) {
        const packageJsonPath = node_path_1.default.join(dir, "package.json");
        try {
            const packageJson = JSON.parse((0, node_fs_1.readFileSync)(packageJsonPath, "utf-8"));
            return {
                packageJson,
                packageJsonPath,
                dir,
            };
        }
        catch (e) {
            if (typeof e === "object" &&
                e !== null &&
                "code" in e &&
                e.code !== "ENOENT") {
                throw e;
            }
        }
        dir = node_path_1.default.dirname(dir);
    }
    return null;
}
exports.lookupPackageJson = lookupPackageJson;
